package Visual_DVM_2021.Passes.All;
import Common.Current;
import Common.Utils.Files.VFileChooser;
import Common.Utils.Utils;
import GlobalData.Settings.SettingName;
import Visual_DVM_2021.Passes.PassCode_2021;
import Visual_DVM_2021.Passes.Pass_2021;

import java.io.File;
import java.util.Vector;
public class CreateTestsFromFiles extends PublishTests {
    VFileChooser fileChooser = new VFileChooser("Выберите файлы для создания тестов");
    @Override
    protected PassCode_2021 getCreateTestCode() {
        return PassCode_2021.CreateTestFromFile;
    }
    @Override
    protected String getNoFilesMessage() {
        return "ни одного файла";
    }
    @Override
    protected boolean canStart(Object... args) throws Exception {
        if (Current.Check(Log, Current.Group)){
            Utils.RestoreSelectedDirectory(fileChooser);
            Vector<File> files = fileChooser.ShowMultiDialog();
            if (files.isEmpty()){
                Log.Writeln_("Не выбрано ни одного файла.");
                return false;
            }
            Pass_2021.passes.get(PassCode_2021.UpdateSetting).Do(SettingName.ProjectsSearchDirectory, fileChooser.getCurrentDirectory());
            return super.canStart(files, Current.getGroup());
        }
       return false;
    }
}
